class desktop {

	package { 'nodm':
		ensure => installed,
	}

	package { 'lxde':
		ensure => installed,
		require => Package['nodm'],
	}

	package { 'lightdm':
		ensure => absent,
		require => Package['lxde'],
	}

	$packages = [
		'iceweasel',
		'iceweasel-l10n-*',
	]
  
	package { $packages:
		ensure => installed,
	}

	group { 'guest':
		ensure => 'present'
	}

	user { 'guest':
		ensure => 'present',
		home => '/home/guest',
		managehome => true,
		gid => 'guest',
		require => Group['guest'],
	}

	file { '/etc/default/nodm':
		source => 'puppet:///modules/desktop/etc/default/nodm',
		require => [
				Package['nodm'],
				User['guest'],
				],
	}


}
